Name:           OpenMOIV
Version:        1.0.2
Release:        0.fdr.3.2
Epoch:          0
Summary:        3D molecular visualization toolkit 

Group:          System Environment/Libraries
License:        LGPL
URL:            http://www.tecn.upf.es/openMOIV/
Source0:        http://www.tecn.upf.es/openMOIV/download/1.0.2/OpenMOIV.src.1.0.2.tar.gz

# Fixes compilation errors with gcc 3.3.x
Patch0:         OpenMOIV_1.0.2-1.diff
# Fix for DESTDIR in moiv2.pro
Patch1:		OpenMOIV.DESTDIR.diff

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel Inventor-devel 

%description
OpenMOIV is an object-oriented, 3D multi-platform toolkit that helps you 
develop molecular visualization applications. OpenMOIV is an evolution of 
the original Molecular Inventor™ from SGI™ that optimizes the rendering of
molecular structures and adds a whole new set of functionalities. Molecular
Inventor is also an extension of the Open Inventor toolkit, and runs on top
of it. OpenMOIV simplifies the process of writing molecular visualization
applications with atoms, bonds, surfaces and residues.


%package        devel
Summary:        Header files for OpenMOIV
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The header files are only needed for development of programs using the
OpenMOIV (aka ChemKit2) library.

%prep
%setup -n %{name}.src.%{version}
#%setup -q
%patch0 -p1 -b .orig
%patch1 -p1 -b .orig


%build
# Because "make all" installs into build root.
rm -rf $RPM_BUILD_ROOT
# For QT apps: [ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
qmake "DEFINES += __no_rw __sys_fonts __GLX __nogl" "DESTDIR=${RPM_BUILD_ROOT}%{_libdir}" -o Makefile moiv2.pro
make %{?_smp_mflags}
# Move away the installed files, so install section can use them.
rm -rf .rpm_install
mkdir .rpm_install
cp -a $RPM_BUILD_ROOT/* .rpm_install

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
cp -a .rpm_install/* $RPM_BUILD_ROOT
cp -rp --parents include/ChemKit2 $RPM_BUILD_ROOT%{_usr}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%doc ChangeLog.txt LICENSE.LGPL OPENMOIV.LICENSE Readme.txt

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Sat Dec 18 2004 Gianluca Sforna <giallu[AT]gmail.com> - 0:1.0.2-0.fdr.3
- Added a workaround for missing install target in Makefile

* Thu Dec 16 2004 Gianluca Sforna <giallu[AT]gmail.com> - 0:1.0.2-0.fdr.2
- Some cleanups to the spec file
- Added some missing files 
- Removed building notes (Readme.*)

* Mon Nov 29 2004 Gianluca Sforna <giallu[AT]gmail.com> - 0:1.0.2-0.fdr.1
- Initial RPM release.
